import React, { FunctionComponent } from "react";
export interface UseWizard {
    activeStepIndex: number;
    maxVisitedStepIndex: number;
    goToStep: (stepIndex: number) => void;
    moveToStep: (stepIndex: number) => void;
    resetToStep: (stepIndex: number) => void;
    nextStep: () => void;
    previousStep: () => void;
    getStep: () => Step;
}
export interface Step {
    index: number;
    isActive: boolean;
    hasBeenActive: boolean;
    nextStep: () => void;
    previousStep: () => void;
    resetToStep: () => void;
    moveToStep: () => void;
}
export declare const useWizard: () => {
    activeStepIndex: number;
    maxVisitedStepIndex: number;
    goToStep: (stepIndex: number, { resetMaxStepIndex }?: {
        resetMaxStepIndex?: boolean | undefined;
    }) => void;
    nextStep: () => void;
    previousStep: () => void;
    getStep: () => Step;
    moveToStep: (stepIndex: number) => void;
    resetToStep: (stepIndex: number) => void;
};
export interface WizardProps {
    children: ((useWizard: UseWizard) => React.ReactNode) | React.ReactNode;
}
export declare const Wizard: FunctionComponent<WizardProps>;
export interface WizardStepProps {
    children: (step: Step) => React.ReactNode | any;
}
export declare const WizardStep: FunctionComponent<WizardStepProps>;
export default Wizard;
